Bug 455107 - NIS requests failing when crossing through router
NIS requests failing when crossing through router
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ypbind (Show other bugs)
11
i386 Linux
low Severity low
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 19:27 EDT by Robert K. Moniot
Modified: 2013-03-03 17:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Information and configuration of cisco router (2.12 KB, text/plain)
2008-07-11 19:27 EDT, Robert K. Moniot
no flags Details

  None (edit)
Description Robert K. Moniot 2008-07-11 19:27:32 EDT
Description of problem:we have a lab with 22 machines running fedora 9 fully
patched.  We use NIS for account info.  NIS server is also running fedora 9.  It
is a dual quad-core xeon with 8GB RAM, so load on the server is not a problem.
The machines are on an isolated 10.11.3.0 segment on a Cisco 2950 24-port 10/100
Mbs switch that is natted through a Cisco 3725 router to the segment where the
NIS server is (also on a Cisco 2950 switch).  Router is using 2 100Mbs ports. 
All was well under fedora 8 but after upgrade to fedora 9 we observed that while
there were no problems with only one or two machines running, after two or three
users logged in, other attempts to log in would hang with multiple error
messages saying "do_ypcall: clnt_call: RPC: Unable to receive: errno=no route to
host".  Running ypserv -d on the NIS server showed that in fact NIS requests
were reaching it from the client, so probably only some fraction of requests are
failing.  However, enough are lost to cause some login attempts to fail.  Also,
login to a gnome session generates several hundred NIS requests, so if
successful the delays mean it still takes a very long time to show the desktop.
 (More than half an hour.)

As a test, we changed the network configuration to put the clients onto the same
segment as the NIS server (cutting the router out), and all logins succeeded
normally.  For various reasons including security we do not want to run this way
normally.


Version-Release number of selected component (if applicable):
client: ypbind-1.20.4-6.fc9.i386
server: ypserv-2.19-9.fc9.x86_64

How reproducible: always.


Steps to Reproduce:
1.Set up linux clients using NIS authentication on a segment separated from NIS
server by a router
2.Log in on three or four of the clients.
3.
  
Actual results:
First logins go OK, later logins hang.  Console logins show error messages
indicating failure of yp requests.

Expected results:
All logins should succeed right away.

Additional info:
Our workaround is that we set up a slave NIS server on the client side of the
router.  Thus the NIS requests do not have to go through the router.

We have no reason to believe the router is at fault.  Its configuration has not
been changed in years, and all other traffic except NIS is handled just fine.  I
suspect this problem is caused somehow by the extra delay of going through the
router.  Pinging the NIS server from a client through the router averages about
0.26 ms whereas pinging the slave server on the client side (not going through
the router) averages about 0.18 ms.
Comment 1 Robert K. Moniot 2008-07-11 19:27:32 EDT
Created attachment 311627 [details]
Information and configuration of cisco router
Comment 2 Bug Zapper 2008-11-25 21:33:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Tom Horsley 2009-05-14 13:50:23 EDT
I've got a fedora 10 system exhibiting a similar problem. If I search the
logs from testbeds I run which make extensive use of the old "rsh" command,
I find vast numbers of these messages:

./20090423130128/regress.out.tomh:o_ypcall: clnt_call: RPC: Timed out
./20090423130128/regress.out.tomh:do_ypcall: clnt_call: RPC: Timed out
./20090423130128/regress.out.tomh:o_ypcall: clnt_call: RPC: Timed out

For some reason the leading 'd' in do_ypcall is almost always dropped
when the error is printed, and "tomh" (my fedora 10 box) is the only
system I get these errors on, using the same yp config and yp server
as the dozen or so other machines which are also running the same tests
and doing the same rsh activity, so this really appears to be related to
fedora 10, not the ypserver or network.

I'll be upgrading to fedora 11 in a couple of weeks - I guess I'll find
out if the same thing happens there.
Comment 4 Bug Zapper 2009-11-18 07:36:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Robert K. Moniot 2009-11-18 14:53:46 EST
The bug still exists in Fedora 11.
Comment 6 Tom Horsley 2010-03-06 19:15:16 EST
I found a few others reporting this problem in google searches, and one
suggestion that popped up which fixed the problem for me was to activate
the "nscd" service (name service cache daemon). I haven't noticed any of
these failure messages since I turned it on.
Comment 7 Bug Zapper 2010-04-27 08:08:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:41:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Robert K. Moniot 2010-07-09 11:42:51 EDT
Responding to Comment 6: running nscd on the client machines cures the bad behavior.  Thanks.
FWIW, the bug still exists in Fedora 12, but since nscd cures it there is no need to reopen.

Note You need to log in before you can comment on or make changes to this bug.